Accept your invitation to a space
POST /api/member/communities/{communityId}/spaces/{spaceId}/acceptance. Accept your invitation to a space. Headless LMS Communities API reference.
For a member of the community who is not staff. Makes you an active member. 409 when you have no open invitation, are already a member, or the space is full.
Path Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/member/communities/string/spaces/string/acceptance"{ "orgId": "string", "id": "string", "communityId": "string", "spaceId": "string", "orgUserId": "string", "status": "requested", "source": "request", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Invite a person into a space you moderate POST
POST /api/member/communities/{communityId}/spaces/{spaceId}/invites. Invite a person into a space you moderate. Headless LMS Communities API reference.
Approve a person's request to join a space you moderate POST
POST /api/member/communities/{communityId}/spaces/{spaceId}/members/{orgUserId}/approval. Approve a person's request to join a space you moderate. Headless LMS Communities API reference.